package com.gic.haoban.manage.service.service;

import java.util.List;

import com.gic.haoban.manage.api.dto.MaterialCategoryDTO;
import com.gic.haoban.manage.api.dto.qdto.MaterialCategorySortQDTO;

public interface MaterialCategoryService {

	MaterialCategoryDTO hasCategoryNameExsit(String categoryName, String categoryParentId,String wxEnterpriseId);

	void insert(MaterialCategoryDTO materialCategoryDTO);

	List<MaterialCategoryDTO> listCategory(String wxEnterpriseId);

	MaterialCategoryDTO selectMaterialCategoryById(String categoryId);

	void editCategory(MaterialCategoryDTO materialCategoryDTO);

	List<MaterialCategoryDTO> listByParentCategory(String wxEnterpriseId , String categoryId);

	void materialSortCategory(MaterialCategorySortQDTO qdto);
}
